std::char_traits::copy,std::char_traits::copy,(3)

NAME
std::char_traits::copy,std::char_traits::copy, - std::char_traits::copy,std::char_traits::copy,

Synopsis
                        std::char_traits<char32_t>::copy
   static char_type*
       copy( char_type* dest, const char_type* src, (constexpr since C++20)
   std::size_t count );
   Copies count characters from the character string pointed to by src to the character
   string pointed to by dest.
   If [dest, dest + count) and [src, src + count) overlap, the behavior is undefined.
   See CharTraits for the general requirements on character traits for X::copy.

Parameters
   dest - pointer to a character string to copy to
   src - pointer to a character string to copy from
   count - the number of characters to copy

Return value
   dest

Exceptions
   Throws nothing.

Complexity
   Linear in count.

See also
   assign assigns a character
   [static] (public static member function)